Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.system
Class ExternalSysConnMonitorTask

    java.lang.Object
      java.util.TimerTask
          com.stc.connector.tcpip.model.system.ExternalSysConnMonitorTask

All Implemented Interfaces:
  java.lang.Runnable

    public class ExternalSysConnMonitorTask

extends java.util.TimerTask

Constructor Summary
`ExternalSysConnMonitorTask()` Creates an instance of ExternalSysConnMonitorTask

Method Summary
`boolean` | `cancel()`
`TCPIPMonitorData` | `getTcpipMonitorData()`
`boolean` | `isRunning()` Returns the running.
`void` | `run()`
`void` | `setExtSystemIPAddr(java.lang.String host)` Setter for External System IP Address
`void` | `setExtSystemPort(int port)` Setter for External System Port number
`void` | `setMBeanObjectReference(com.stc.connector.management.util.ObjectReference mbeanRef)` Setter for MBeanReference
`void` | `setSocketFactoryClass(java.lang.String factoryClass)` Setter for Socket Factory Class
`void` | `setTcpipMonitorData(TCPIPMonitorData tcpipMonitorData)`

Methods inherited from class java.util.TimerTask
`scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalSysConnMonitorTask

    public ExternalSysConnMonitorTask()

  Creates an instance of ExternalSysConnMonitorTask

Method Detail

### setExtSystemIPAddr

    public void setExtSystemIPAddr(java.lang.String host)

  Setter for External System IP Address

  Parameters:
    `host` - represents the IP Address of external system

### setExtSystemPort

    public void setExtSystemPort(int port)

  Setter for External System Port number

  Parameters:
    `port` - External System Port

### setSocketFactoryClass

    public void setSocketFactoryClass(java.lang.String factoryClass)

  Setter for Socket Factory Class

  Parameters:
    `factoryClass` - Socket Factory class used to create the sockets

### setMBeanObjectReference

    public void setMBeanObjectReference(com.stc.connector.management.util.ObjectReference mbeanRef)

  Setter for MBeanReference

  Parameters:
    `mbeanRef` -

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `java.util.TimerTask`

### isRunning

    public boolean isRunning()

  Returns the running.

  Returns:
    boolean

### cancel

    public boolean cancel()

  Overrides:
    `cancel` in class `java.util.TimerTask`
  See Also:
    `TimerTask.cancel()`

### getTcpipMonitorData

    public TCPIPMonitorData getTcpipMonitorData()

### setTcpipMonitorData

    public void setTcpipMonitorData(TCPIPMonitorData tcpipMonitorData)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD